@ECHO OFF
IF %1. == . goto INSUFFICIENT_PARAMS
IF %2. == . goto INSUFFICIENT_PARAMS
IF %3. == . goto INSUFFICIENT_PARAMS

IF %3. == prod. goto ENV_PROD
IF %3. == test. goto ENV_TEST

goto INSUFFICIENT_PARAMS

:ENV_PROD
sc \\%1 config "VBECS Scheduled Report Runner" start= demand
sc \\%1 config "VBECS HL7 Multi Listener" start= demand
sc \\%1 config "VBECS CPRS HL7 Client Monitor" start= demand
sc \\%1 config "VBECS VistALink RPC XML Listener" start= demand

sc \\%2 config "VBECS Scheduled Report Runner" start= demand
sc \\%2 config "VBECS HL7 Multi Listener" start= demand
sc \\%2 config "VBECS CPRS HL7 Client Monitor" start= demand
sc \\%2 config "VBECS VistALink RPC XML Listener" start= demand

goto CLUSTER_PROD

:ENV_TEST
sc \\%1 config "VBECS Test Scheduled Report Runner" start= demand
sc \\%1 config "VBECS Test HL7 Multi Listener" start= demand
sc \\%1 config "VBECS Test CPRS HL7 Client Monitor" start= demand
sc \\%1 config "VBECS Test VistALink RPC XML Listener" start= demand

sc \\%2 config "VBECS Test Scheduled Report Runner" start= demand
sc \\%2 config "VBECS Test HL7 Multi Listener" start= demand
sc \\%2 config "VBECS Test CPRS HL7 Client Monitor" start= demand
sc \\%2 config "VBECS Test VistALink RPC XML Listener" start= demand

REM Service Monitor is configured at same time as test to save user interaction
sc \\%1 config "VBECS Service Monitor" start= demand
sc \\%2 config "VBECS Service Monitor" start= demand

goto CLUSTER_TEST

:CLUSTER_TEST
cscript Install_Cluster_Awareness.vbs %1 %3 
cscript Install_Cluster_Awareness.vbs %2 %3 

cscript Install_Cluster_Awareness.vbs %1 sm 
cscript Install_Cluster_Awareness.vbs %2 sm 
goto END

:CLUSTER_PROD
cscript Install_Cluster_Awareness.vbs %1 %3 
cscript Install_Cluster_Awareness.vbs %2 %3 
goto END


:INSUFFICIENT_PARAMS
ECHO Error: Insufficient parameters supplied.
ECHO        You must enter a environment (prod, test) followed by each each node name
ECHO For example: Install_Cluster_Awareness prod vhaishnodz1 vhaishnodz2

:END